<?php
/**
 * Template Name: Page - Full-width
 * Description: Displays a page title and content without displaying a sidebar.
 * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>
<?php while (have_posts()) : the_post(); ?>

    <div class="container">
        <div class="row">
            <div class="span12">
                <?php if (function_exists('eviro_breadcrumbs')) {
                eviro_breadcrumbs();
                } ?>
            </div><!--/.span12 -->
        </div><!--/.row -->

        <header class="page-title">
            <h1><?php the_title();?></h1>
        </header>

        <div class="row content">
        	<div class="span12">
        		<?php the_content(); ?>
        		<?php wp_link_pages( array('before' => '<div class="page-links">Pages: ', 'after' => '</div>')); ?>
        		<?php comments_template(); ?>
        		<?php edit_post_link(); ?>
        	</div>
        </div><!-- .row content -->
        	
      <?php endwhile; // end of the loop. ?>

    </div><!--/.container -->

<?php get_footer(); ?>