<?php
/**
 * Default Post Template
 * Description: Post template with a content container and right sidebar.
 *
 * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>
<?php while (have_posts()) : the_post(); ?>

  <div class="container">
    <div class="row">
        <div class="span12">
            <?php if (function_exists('eviro_breadcrumbs')) {
            eviro_breadcrumbs();
        } ?>
        </div><!--/.span12 -->
    </div><!--/.row -->

    <header class="post-title">
        <h1><?php the_title();?></h1>
    </header> 
    <div class="row content">
        <div class="span9">
             <p class="meta"><?php echo eviro_posted_on();?></p>
             <?php // Post thumbnail conditional display.
             if ( eviro_autoset_featured_img() !== false ) : ?>
              <a href="<?php the_permalink(); ?>" title="<?php  the_title_attribute( 'echo=0' ); ?>">
                  <?php echo eviro_autoset_featured_img(); ?>
              </a>
            <?php endif; ?> 
            <?php the_content(); ?>
            <?php wp_link_pages(); ?>
            <?php endwhile; // end of the loop. ?>
            <hr/>

            <?php comments_template(); ?>
            <?php eviro_content_nav('nav-below'); ?>
        </div><!-- /.span8 -->

    <?php get_sidebar('blog'); ?>
    <?php get_footer(); ?>